echo off
rem Ŀ
rem  This example batchfile finds any new textfiles in the NASA directory   
rem  with a given extension and imports them as messages.  Note that the    
rem  "-pine" switches are used to force the message: Public, Tagline added, 
rem  no textfile header control, and Echo message.  The first line has a -l 
rem  switch in place of the -e since that conference is local, not echo.    
rem                                                                         
rem  The -fSYSOP forces the messages to be from SYSOP.                      
rem                                                                         
rem  Note the use of -x0 in the first line:  this tells TXT2MSG to create   
rem  as many (no limit) messages as needed to import the entire textfile in 
rem  the local space conference.  Since this is not desired for echo mail   
rem  processing we use the -x2 switch to limit TXT2MSG to create a maximum  
rem  of two messages from any given source textfile.                        
rem                                                                         
rem  Note the use of "@file" lists to specify what extensions go to what    
rem  messagebases.  The @files are as follows:                              
rem                                                                         
rem   d:\all\event\space.lst Ŀ                                     
rem  f:\nasa\*.rel                     All .REL, .SHU, .VOY, .MAG, and    
rem  f:\nasa\*.shu                     .GAL files will go to the          
rem  f:\nasa\*.voy                     e:\conf\space messagebase and the  
rem  f:\nasa\*.mag                     e:\conf\r-space messagebase.       
rem  f:\nasa\*.gal                                                        
rem                                       
rem                                                                         
rem   d:\all\event\il-space.lst Ŀ                                     
rem  f:\nasa\*.rel                     All .REL and .SHU files will go    
rem  f:\nasa\*.shu                     to e:\conf\il-space messagebase.   
rem                                       
rem                                                                         
rem   d:\all\event\astronom.lst Ŀ                                     
rem  f:\nasa\*.voy                     All .VOY, .MAG, and .GAL files     
rem  f:\nasa\*.mag                     will be entered as messages in the 
rem  f:\nasa\*.gal                     e:\conf\astronom conference.       
rem                                       
rem                                                                         
rem  Note the use of *.rel (etc) to specify wildcard selections of files.   
rem 
echo TXT2MSG Process NASA files into message bases...

TXT2MSG e:\conf\space    @d:\all\event\space.lst    -pinl -fSYSOP -x0
TXT2MSG e:\conf\r-space  @d:\all\event\space.lst    -pinl -fSYSOP -x0
TXT2MSG e:\conf\il-space @d:\all\event\il-space.lst -pine -fSYSOP -x2
TXT2MSG e:\conf\astronom @d:\all\event\astronom.lst -pine -fSYSOP -x2

echo Delete NASA files from working directory...
if exist f:\nasa\*.rel del f:\nasa\*.rel
if exist f:\nasa\*.shu del f:\nasa\*.shu
if exist f:\nasa\*.voy del f:\nasa\*.voy
if exist f:\nasa\*.mag del f:\nasa\*.mag
if exist f:\nasa\*.gal del f:\nasa\*.gal

c:
cd\pcb
