echo off
rem Ŀ
rem  This batch file is called by my ProDoor PROUTEST.BAT file when it sees  
rem  a *.MSG file in the scratch directory.  The line added to PROUTEST.BAT: 
rem                                                                          
rem          if exist %2\*.msg %comspec%/c proumail.bat %2 %3                
rem                                                                          
rem  The %2 and %3 of PROUTEST.BAT are passed here and become %1 and %2:     
rem                                                                          
rem    %1    Scratch drive/directory.  This is where the *.MSG file is.      
rem    %2    COMPORT.  We're going to use this for PROECHO.COM               
rem                                                                          
rem  The purpose of this batchfile is to allow a user to upload a textfile   
rem  named ###.MSG, where ### is a conference number, using a protocol such  
rem  as Zmodem or Kermit.  When ProDoor goes to process the upload, control  
rem  is passed to this batchfile where we crank up TXT2MSG.  With a couple   
rem  changes this batchfile could also be used with PCBoard 14.5's upload    
rem  testing (PCBTEST.BAT?) batch file.                                      
rem 

if %1.==. goto END
if %2.==. goto END

rem Ŀ
rem  Note the use of SET TXT2MSG= to specify defaults for this operation.    
rem  These messages will have a subject of "Uploaded Message", be from the   
rem  current user (via -uc:\pcb\pcboard.sys switch), and have a tagline (-i) 
rem  The (-n) switch is used to not allow the user to specify header info in 
rem  the textfile itself.  If this was not used, a user could do FROM: SYSOP 
rem  which would not be good.  The uploaded message is directed to "ALL".    
rem  I also included the -p and -l switches (public and echo) for defaults,  
rem  and -x9 to limit any given ###.MSG file to about 900 lines (9 messages) 
rem 

set HOLD=%TXT2MSG%
set TXT2MSG="-sUploaded Message" -uc:\pcb\pcboard.sys -inpl -tALL -x9

rem Ŀ
rem  0.MSG is an exception, and thus gets special processing.  I want all    
rem  0.MSG (main board destined) messages to be R/O and to SYSOP.  Note that 
rem  the -r (R/O) and -t (to) switches on the commandline will override the  
rem  environment setting we set above.                                       
rem 

if exist %1\0.msg txt2msg 0 %1\0.msg -r -tSYSOP

rem Ŀ
rem  Next, we use FOR statements to quickly search for the uploaded file(s)  
rem  to be inserted.  We could use a seperate line for each conference, but  
rem  the FOR method is a bit quicker and takes less lines.  Note that you    
rem  can use more than 5 numbers at a time.. I used only 5 to keep the line  
rem  length down to a reasonable level (under 80 characters per line).       
rem 

for %%a in ( 1  2  3  4  5) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in ( 6  7  8  9 10) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (11 12 13 14 15) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (16 17 18 19 20) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (21 22 23 24 25) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (26 27 28 29 30) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (31 32 33 34 35) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (36 37 38 39 40) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (41 42 43 44 45) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (46 47 48 49 50) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg

for %%a in (51 52 53 54 55) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (56 57 58 59 60) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (61 62 63 64 65) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (66 67 68 69 70) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (71 72 73 74 75) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (76 77 78 79 80) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (81 82 83 84 85) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (86 87 88 89 90) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (91 92 93 94 95) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
for %%a in (96 97 98 99   ) do if exist %1\%%a.msg txt2msg %%a %1\%%a.msg
rem   etc...

rem Ŀ
rem  Now we simply delete the *.MSG file(s), tell the user we're done (via   
rem  ProEcho) and fall out to the calling batch (PROUTEST.BAT) so it can     
rem  continue processing any other uploaded files.                           
rem 

del %1\*.msg
proecho %2 ~Message processing completed.~Ignore the coming ProDoor error...

:END
rem Ŀ
rem  Restore the TXT2MSG environment to what it was before calling this      
rem  batch file.  Erase the HOLD environment we had set to hold the old.     
rem 

set TXT2MSG=%HOLD%
set HOLD=

